﻿#pragma once

/**
 * @file OWLIFTDecoder.h
 */

#include "owdecoder_if.h"

typedef int test;

/**
 * @defgroup Decoder_GUID OWLIFTDecoder GUID
 * @{
 */

/**
 * @~japanese
 * OWLIFTDecoder の CLSID。
 *
 * @~english
 * The CLSID of OWLIFTDecoder.
 *
 * @~
 * {3488BDC5-2DFD-4C9A-B186-3FD15B5DDA41}
 */
DEFINE_GUID(CLSID_OWLIFTDecoder, 
	0x3488bdc5, 0x2dfd, 0x4c9a, 0xb1, 0x86, 0x3f, 0xd1, 0x5b, 0x5d, 0xda, 0x41);

/**
 * @~japanese
 * IOWLIFTDecoder の IID。
 *
 * @~english
 * The IID of IOWLIFTDecoder.
 *
 * @~
 * {F947000C-FC65-4A02-8F01-B72E0CB3F330}
 */
DEFINE_GUID(IID_IOWLIFTDecoder,
	0xF947000C,0xFC65,0x4A02,0x8F,0x1F,0xB7,0x2E,0x0C,0xB3,0xF3,0x30);

/**
 * @~japanese
 * デバイスの画像形式を表す Media Subtype の GUID。
 * VSFR = Vo Spi FRame
 *
 * @~english
 * The GUID of Media Subtype that represents the image format of the device.
 * ; VSFR = Vo Spi FRame
 *
 * @~
 * {52465356-C0A9-443C-A463-9DC11F1D969B}
 */
DEFINE_GUID(MEDIASUBTYPE_VSFR,
	0x52465356, 0xc0a9, 0x443c, 0xa4, 0x63, 0x9d, 0xc1, 0x1f, 0x1d, 0x96, 0x9b);

/**
 * @~japanese
 * OWLIFTDecoder のプロパティページ Color タブの GUID。
 *
 * @~english
 * The GUID of OWLIFTDecoder/Property Page/Color Tab.
 *
 * @~
 * {13884863-9583-4980-9121-8AA5E35EB40C}
 */
DEFINE_GUID(CLSID_OwColorPropPage, 
	0x13884863, 0x9583, 0x4980, 0x91, 0x21, 0x8a, 0xa5, 0xe3, 0x5e, 0xb4, 0xc);

/**
 * @~japanese
 * OWLIFTDecoder のプロパティページ Telemetry Data タブの GUID。
 *
 * @~english
 * The GUID of OWLIFTDecoder/Property Page/Telemetry Data Tab.
 *
 * @~
 * {58820732-8DD2-4480-AD58-49B434E67560}
 */
DEFINE_GUID(CLSID_OwTelemetryPropPage, 
	0x58820732, 0x8dd2, 0x4480, 0xad, 0x58, 0x49, 0xb4, 0x34, 0xe6, 0x75, 0x60);

/* @} */
