#pragma once

#include "OWLIFTLib.h"
#include "resource.h"

class CSimpleWnd
{
public:

	HWND m_hWnd;

	CSimpleWnd(HWND hWnd) { m_hWnd = hWnd; }
	CSimpleWnd(const CSimpleWnd &src) { m_hWnd = src.m_hWnd; }

	void EnableWindow(BOOL b);
	void SetWindowText(LPCWSTR str);
};


class COWLIFTViewDlg
{
private:

	HINSTANCE m_hInst;
	HWND m_hWnd;

	CRITICAL_SECTION m_lock;
	OwDev m_owDev;
	int m_fx, m_fy;
	HDC m_dc;
	BOOL m_dcCreated;
	HBITMAP m_hbmp;
	HFONT m_hfont;
	BYTE *m_decodeBuf;
	WORD *m_tempTab;
	RECT m_prevRect;
	BOOL m_closing;
	int m_mag;

	CSimpleWnd GetDlgItem(int id);

	BOOL OnInitDialog();
	void OnBnClickedStart();
	void OnBnClickedStop();
	void OnBnClickedFfcMode();
	void OnBnClickedRunFfc();
	void OnBnClickedExit();
	void OnDestroy();

	void ShowError(OwStatus_t st);
	static void CaptureProcStatic(OwDev dev, BYTE *buf, UINT32 bufLen, void *userData);
	void CaptureProc(BYTE *buf, UINT32 bufLen);
	void Release();
	void SetLabelTempK(int id, UINT16 temp);
	void SetLabelTempC(int id, double temp);
	void SetLabelUINT32(int id, UINT32 v);

public:

	COWLIFTViewDlg();
	~COWLIFTViewDlg();

	BOOL Create(HINSTANCE hInst);
	void ShowWindow();

	LRESULT DialogProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);
};
